Module jdk.dynalink
Package jdk.dynalink

## Class NoSuchDynamicMethodException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - jdk.dynalink.NoSuchDynamicMethodException

- All Implemented Interfaces:
    `Serializable`

      public class NoSuchDynamicMethodException
      extends RuntimeException

  Thrown at the invocation if the call site can not be linked by any available `GuardingDynamicLinker`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NoSuchDynamicMethodException​(String message)` | Creates a new NoSuchDynamicMethodException

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### NoSuchDynamicMethodException

          public NoSuchDynamicMethodException​(String message)

      Creates a new NoSuchDynamicMethodException
      Parameters:
        `message` - the message of the exception.